Subject: Re: [PATCH] kill useless SMT code in prom_hold_cpus

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 15 Jul 2008 14:53:33 +1000

On Mon, 2008-07-14 at 21:24 -0500, Nathan Lynch wrote:
> Benjamin Herrenschmidt wrote:
> > On Tue, 2008-07-08 at 17:36 -0500, Nathan Lynch wrote:
> > > I think this code that counts SMT threads and compares against NR_CPUS
> > > is an artifact of pre-powerpc-merge ppc64.  We care about starting
> > > only primary threads in the OF client code.
> > > 
> > > Signed-off-by: Nathan Lynch <[email-masked]>
> > 
> > That looks good. I'm not merging it right now because I want to dbl
> > check that it's allright on all SMT machines. IE. We compare reg[0]
> > against _prom->cpu now instead of interrupt_server[0] and I thus
> > want to ensure it's the same everywhere.
> 
> Thanks.  Looks like prom_find_boot_cpu is setting _prom->cpu to reg
> (or 0), so I think it should be fine... a system where reg differed
> from interrupt_server[0] would have been broken before this patch
> anyway, I think?

I tend to agree, just didn't have time to look closely / test before
I get to prepare my batch of patches for Linus, I'll stick it in the
next one.

Cheers,
Ben.